fn main() {
    let reference_to_nothing = dangle();
}

// ANCHOR: here
fn dangle() -> &String { // dangle zwraca referencję do String

    let s = String::from("witaj"); // s to nowa instancja String

    &s // Zwracamy referencję do tej instancji String, czyli zmiennej s
} // Tutaj zmienna s wychodzi z zakresu i jest porzucaja, więc jej pamięć jest zwalniana.
  // Niebezpieczne!
// ANCHOR_END: here
